Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class ActionExpressionData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.ActionExpressionData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ActionExpressionData extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ActionExpressionData.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionExpressionData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActionExpressionData.Builder`
  `builder()`
  `String`
  `getComponentId()`
  `String`
  `getServiceExpression()`
  `int`
  `getServiceId()`
  `String`
  `getServiceName()`
  `String`
  `getServiceOperation()`
  `void`
  `setComponentId(String componentId)`
  `void`
  `setServiceExpression(String serviceExpression)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setServiceName(String serviceName)`
  `void`
  `setServiceOperation(String serviceOperation)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ActionExpressionData

    public ActionExpressionData()

- ## Method Details

  - ### getComponentId

    public String getComponentId()

  - ### setComponentId

    public void setComponentId(String componentId)

  - ### getServiceId

    public int getServiceId()

  - ### getServiceName

    public String getServiceName()

  - ### getServiceOperation

    public String getServiceOperation()

  - ### getServiceExpression

    public String getServiceExpression()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### setServiceName

    public void setServiceName(String serviceName)

  - ### setServiceOperation

    public void setServiceOperation(String serviceOperation)

  - ### setServiceExpression

    public void setServiceExpression(String serviceExpression)

  - ### builder

    public static ActionExpressionData.Builder builder()